import { HttpClient } from '@angular/common/http';
import * as marked from 'marked';
import { Observable } from 'rxjs';
import { MarkedOptions } from './marked-options';
export declare class MarkdownService {
    private http;
    options: MarkedOptions;
    renderer: marked.Renderer;
    constructor(http: HttpClient, options: MarkedOptions);
    compile(markdown: string, markedOptions?: MarkedOptions): string;
    getSource(src: string): Observable<string>;
    highlight(): void;
    private handleExtension(src, markdown);
    private precompile(markdown);
}
